<?xml version="1.0" encoding="utf-8"?>
<permissions>
   <privapp-permissions package="com.android.camera">
      <permission name="android.permission.WRITE_MEDIA_STORAGE" />
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
      <permission name="android.permission.INTERACT_ACROSS_USERS" />
      <permission name="mediatek.permission.ACCESS_APU_SYS" />
      <permission name="android.permission.LOG_COMPAT_CHANGE" />
      <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG" />
      <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND" />
      <permission name="android.permission.SYSTEM_CAMERA" />
   </privapp-permissions>
   <privapp-permissions package="com.mi.android.globallauncher">
      <permission name="android.permission.SET_WALLPAPER_COMPONENT" />
      <permission name="android.permission.BIND_WALLPAPER" />
      <permission name="android.permission.BROADCAST_CLOSE_SYSTEM_DIALOGS" />
      <permission name="android.permission.BIND_APPWIDGET" />
      <permission name="android.permission.CHANGE_CONFIGURATION" />
      <permission name="android.permission.DELETE_PACKAGES" />
      <permission name="android.permission.DUMP" />
      <permission name="android.permission.STATUS_BAR" />
      <permission name="android.permission.UPDATE_DEVICE_STATS" />
      <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
      <permission name="android.permission.UPDATE_APP_OPS_STATS" />
      <permission name="android.permission.MEDIA_CONTENT_CONTROL" />
      <permission name="android.permission.SET_PROCESS_LIMIT" />
      <permission name="android.permission.PACKAGE_USAGE_STATS" />
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
      <permission name="android.permission.INTERACT_ACROSS_USERS" />
      <permission name="android.permission.MANAGE_USERS" />
      <permission name="android.permission.FORCE_STOP_PACKAGES" />
      <permission name="android.permission.START_TASKS_FROM_RECENTS" />
      <permission name="android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS" />
      <permission name="android.permission.REAL_GET_TASKS" />
      <permission name="android.permission.ALLOW_SLIPPERY_TOUCHES" />
   </privapp-permissions>
   <privapp-permissions package="com.mi.android.globalminusscreen">
      <permission name="android.permission.BIND_REMOTEVIEWS" />
      <permission name="android.permission.STOP_APP_SWITCHES" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.aod">
      <permission name="android.permission.BIND_WALLPAPER" />
      <permission name="android.permission.READ_DREAM_STATE" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.cleaner">
      <permission name="android.permission.REAL_GET_TASKS" />
      <permission name="android.permission.CLEAR_APP_CACHE" />
      <permission name="android.permission.DELETE_PACKAGES" />
      <permission name="android.permission.PACKAGE_USAGE_STATS" />
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
      <permission name="android.permission.ACCESS_MTP" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.cloudbackup">
      <permission name="android.permission.FORCE_STOP_PACKAGES" />
      <permission name="android.permission.DELETE_PACKAGES" />
      <permission name="android.permission.INSTALL_PACKAGES" />
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
      <permission name="android.permission.WRITE_APN_SETTINGS" />
      <permission name="android.permission.CHANGE_CONFIGURATION" />
      <permission name="android.permission.UPDATE_DEVICE_STATS" />
      <permission name="android.permission.INTERACT_ACROSS_USERS" />
      <permission name="android.permission.STATUS_BAR" />
      <permission name="android.permission.CONNECTIVITY_INTERNAL" />
      <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
      <permission name="android.permission.ACCESS_MTP" />
      <permission name="android.permission.SCHEDULE_EXACT_ALARM" />
      <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.extraphoto">
      <permission name="android.permission.WRITE_MEDIA_STORAGE" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.gallery">
      <permission name="android.permission.WRITE_MEDIA_STORAGE" />
      <permission name="android.permission.INTERACT_ACROSS_USERS" />
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
      <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.miservice">
      <permission name="android.permission.STATUS_BAR" />
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
      <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.player">
      <permission name="android.permission.WRITE_MEDIA_STORAGE" />
      <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
      <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED" />
      <permission name="android.permission.INTERACT_ACROSS_USERS" />
      <permission name="android.permission.SCHEDULE_EXACT_ALARM" />
      <permission name="android.permission.STOP_APP_SWITCHES" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.securitycenter">
      <permission name="android.permission.MANAGE_USERS" />
      <permission name="android.permission.INTERACT_ACROSS_USERS" />
      <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
      <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
      <permission name="android.permission.MASTER_CLEAR" />
      <permission name="android.permission.MODIFY_PHONE_STATE" />
      <permission name="android.permission.FORCE_STOP_PACKAGES" />
      <permission name="android.permission.PACKAGE_USAGE_STATS" />
      <permission name="android.permission.BATTERY_STATS" />
      <permission name="android.permission.BACKUP" />
      <permission name="android.permission.MANAGE_USB" />
      <permission name="android.permission.REBOOT" />
      <permission name="android.permission.CLEAR_APP_CACHE" />
      <permission name="android.permission.DELETE_CACHE_FILES" />
      <permission name="android.permission.UPDATE_APP_OPS_STATS" />
      <permission name="android.permission.ACCESS_CACHE_FILESYSTEM" />
      <permission name="android.permission.READ_NETWORK_USAGE_HISTORY" />
      <permission name="android.permission.MODIFY_NETWORK_ACCOUNTING" />
      <permission name="android.permission.CONTROL_VPN" />
      <permission name="android.permission.WRITE_APN_SETTINGS" />
      <permission name="android.permission.REAL_GET_TASKS" />
      <permission name="android.permission.PACKAGE_VERIFICATION_AGENT" />
   </privapp-permissions>
   <privapp-permissions package="com.miui.yellowpage">
      <permission name="android.permission.CALL_PRIVILEGED" />
      <permission name="com.android.voicemail.permission.READ_VOICEMAIL" />
      <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL" />
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
   </privapp-permissions>
   <privapp-permissions package="com.xiaomi.calendar">
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
      <permission name="android.permission.SCHEDULE_EXACT_ALARM" />
   </privapp-permissions>
   <privapp-permissions package="com.xiaomi.misettings">
      <permission name="android.permission.FORCE_STOP_PACKAGES" />
   </privapp-permissions>
   <privapp-permissions package="com.xiaomi.uatalive">
      <permission name="android.permission.WRITE_SECURE_SETTINGS" />
      <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
      <permission name="android.permission.CONTROL_LOCATION_UPDATES" />
   </privapp-permissions>
</permissions>
